from typing import Generator

from addr_agent.agent_feature.models import RPCMethodImpl, RPCTaskResult, RPCTaskStatus


class RPCAddrV1PingMethod(RPCMethodImpl):
    async def run(self) -> Generator[RPCTaskResult, None, None]:
        yield RPCTaskResult(status=RPCTaskStatus.COMPLETED, response=self.request)
